"use strict";
cc._RF.push(module, '2eeafga4m5KmLXYq9I/yYW3', 'Ball');
// scripts\Ball.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        isAttackAble: false
    },

    // use this for initialization
    onLoad: function onLoad() {},

    onBeginContact: function onBeginContact(contact, self, other) {
        if (other.tag === 3) {
            //托盘
            cc.gamectl.onBallContactPaddle(self.getComponent('Ball'), other.getComponent('Paddle'));
        } else if (other.tag === 2) {
            //砖块
            cc.gamectl.onBallContactBrick(self.getComponent('Ball'), other.getComponent('Brick'));
        } else if (other.tag === 4) {
            //地面
            cc.gamectl.onBallContactGround(self.getComponent('Ball'), other.getComponent('Ground'));
        }
    }
});

cc._RF.pop();